# Manipulation of linearizations of polynomial or rational matrices
| Function | Description |
| :--- | :--- |
| **[`lsminreal`](@ref)** | Computation of irreducible descriptor system based linearizations  |
| **[`lsminreal2`](@ref)** | Computation of irreducible descriptor system based linearizations (potentially more efficient)|
| **[`lpsminreal`](@ref)** | Computation of strongly minimal pencil based linearizations |
| **[`lsequal`](@ref)** | Checking the equivalence of two descriptor system based linearizations |
| **[`lpsequal`](@ref)** | Checking the equivalence of two pencil based linearizations |
| **[`lseval`](@ref)** | Evaluation of the value of the rational matrix corresponding to a descriptor system based linearization  |
| **[`lpseval`](@ref)** | Evaluation of the value of the rational matrix corresponding to a pencil based linearization |
| **[`lps2ls`](@ref)** | Conversion of a pencil based linearization into a descriptor system based linearization |

```@docs
lsminreal
lsminreal2
lpsminreal
lsequal
lpsequal
lseval
lpseval
lps2ls
```
